| Home | Libraries | People | FAQ | More

## Function template all_of

boost::algorithm::all_of

## Synopsis

    // In header: <boost/algorithm/cxx11/all_of.hpp>

    template<typename Range, typename Predicate>
      bool all_of(const Range & r, Predicate p);

## Description

| Note
returns true on an empty range

Parameters:

`p` | A predicate for testing the elements of the range
`r` | The input range

Returns: | true if all elements in the range satisfy the predicate 'p'